%global _hardened_build 1

Name:             cgdcbxd
Version:          1.0.2
Release:          9
Summary:          The daemon used to manage the priority of DCB network
License:          GPLv2
URL:              https://github.com/jrfastab/cgdcbxd
Source:           https://github.com/jrfastab/cgdcbxd/archive/v%{version}.tar.gz
Source1:          %{name}.service
BuildRequires:    libcgroup-devel libmnl-devel libtool systemd
Requires(post):   systemd
Requires(preun):  systemd
Requires(postun): systemd

%description
Cgdcbxd is a daemon used to monitor DCB netlink events and manage the net_prio control group subsystem.
The daemon keeps the hierarchy and priority mappings in sync with DCBX Application events.

%package help
Summary: Help document for the %{name} package

%description help
Help document for the %{name} package.

%prep
%autosetup -n %{name}-%{version} -p1

%build
./bootstrap.sh
export CFLAGS=$RPM_OPT_FLAGS LDFLAGS=$RPM_LD_FLAGS
%{configure}
%make_build

%install
%make_install
install -D -p -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_unitdir}/cgdcbxd.service

%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun_with_restart %{name}.service

%files
%doc COPYING
%{_unitdir}/cgdcbxd.service
%{_sbindir}/*
%exclude %{_sysconfdir}

%files help
%{_mandir}/man8/*

%changelog
* Wed Nov 13 2019 shijian <shijian16@huawei.com> - 1.0.2-9
- Package init
